defmodule Argon2.Native do
  @moduledoc """
  Native implementation of the Argon2 password hashing algorithm.
  """
  use Rustler,
    otp_app: :argon2id_elixir,
    crate: "argon2"

  def hash_password(_password, _config \\ nil), do: error()
  def verify_password(_password, _hash), do: error()

  defp error, do: :erlang.nif_error(:nif_not_loaded)
end
